﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace 正弦表生成器
{
    public partial class Form1 : Form
    {
        Int32 a, b, c,i,p;
        string pp;

        public Form1()
        {
            InitializeComponent();
        }

        private void 生成_button_Click(object sender, EventArgs e)
        {
            坐标点_textBox.Text = "";
            pp = "";
            for (i = 0; i < a; i++)
            {
                p = (int)(b * Math.Sin(2 * 3.1415926 * i / a))+c;
                pp = pp + p.ToString()+",";

            }
            坐标点_textBox.Text = "unsigned int exp[" + 点数_textBox.Text + "]={" +pp+ "};";
        }

        private void 退出_button_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void 清空_button_Click(object sender, EventArgs e)
        {
            坐标点_textBox.Text = "";
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            a = int.Parse(点数_textBox.Text);
            b = int.Parse(幅度_textBox.Text);
            c = int.Parse(中轴点_textBox.Text);
        }

        private void 点数_textBox_TextChanged(object sender, EventArgs e)
        {
            try
            {
                a = int.Parse(点数_textBox.Text);
            }
            catch (FormatException)
            {
                MessageBox.Show("数据不能为空！", "提示");
            };
        }
    

        private void 幅度_textBox_TextChanged(object sender, EventArgs e)
        {
            try
            {
                b = int.Parse(幅度_textBox.Text);
            }
            catch (FormatException)
            { 
                MessageBox.Show("数据不能为空！","提示");
            }
        }

        private void 中轴点_textBox_TextChanged(object sender, EventArgs e)
        {
            try
            {
                c = int.Parse(中轴点_textBox.Text);
            }
            catch (FormatException)
            {
                MessageBox.Show("数据不能为空！", "提示");
            }
        }

        private void HEX_checkBox_CheckedChanged(object sender, EventArgs e)
        {
            坐标点_textBox.Text = "";
            pp = "";
            if (HEX_checkBox.Checked == true)
            {   
                for (i = 0; i < a; i++)
                {
                    p = (int)(b * Math.Sin(2 * 3.1415926 * i / a)) + c;
                    pp = pp +"0x"+ Convert .ToString (p,16) + ",";

                }
                坐标点_textBox.Text = "unsigned int exp[" + 点数_textBox.Text + "]={" + pp + "};";
            }
            else
            {
                for (i = 0; i < a; i++)
                {
                    p = (int)(b * Math.Sin(2 * 3.1415926 * i / a)) + c;
                    pp = pp + p.ToString() + ",";

                }
                坐标点_textBox.Text = "unsigned int exp[" + 点数_textBox.Text + "]={" + pp + "};";
            }
        }       

    }
}

